Security
Create HTTP receiver auth token
Creates an auth token that is used to auth update requests to the HTTP receiver endpoint.
GET
/
security
/
vehicle
/
{vehicle_id}
/
vehicle-data-upload-token
Create HTTP receiver auth token
curl --request GET \
--url https://ctechnology.io/api/v2.2/security/vehicle/{vehicle_id}/vehicle-data-upload-token \
--header 'Authorization: <api-key>'import requests
url = "https://ctechnology.io/api/v2.2/security/vehicle/{vehicle_id}/vehicle-data-upload-token"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://ctechnology.io/api/v2.2/security/vehicle/{vehicle_id}/vehicle-data-upload-token', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"data": {
"token": "<string>"
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}{
"header": {
"api_version": "<string>",
"status": "<string>",
"message": "<string>",
"permission_via": [
{
"permission": "<string>",
"organization_id": "<string>"
}
]
},
"error": {
"id": "<string>",
"status": 123,
"type": "<string>",
"message": "<string>",
"message_i18n": "<string>",
"data": {}
}
}Authorizations
Note that the API key has to be sent as Token 123 where 123 is
the key you received after logging in or by creating on the developer
dashboard.
Path Parameters
ID of vehicle to retrieve token for.
Query Parameters
The lifetime in minutes the token is valid
Required range:
0 <= x <= 1440⌘I
Create HTTP receiver auth token

